<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/formulas.php');


$link = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $link) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
if (! mysqli_set_charset($link, "utf8" )) {
	echo "error";
	return 1;
}

$result = mysqli_query($link, "SELECT * FROM inventory_miscs ORDER BY name");


$misctype = array( 'Spice', 'Herb', 'Flavor', 'Fining', 'Water agent', 'Yeast nutrient', 'Other' );
$miscuse = array( 'Starter', 'Mash', 'Boil', 'Primary', 'Secondary', 'Bottling' );



/*
 * Create beerxml output
 */
$xw = xmlwriter_open_memory();
xmlwriter_set_indent($xw, 1);
$res = xmlwriter_set_indent_string($xw, ' ');

xmlwriter_start_document($xw, '1.0', 'UTF-8');


xmlwriter_start_element($xw, 'MISCS');
while ($row = mysqli_fetch_array($result)) {

	xmlwriter_start_element($xw, 'MISC');

	xmlwriter_start_element($xw, 'VERSION');
	xmlwriter_text($xw, '1');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NAME');
	xmlwriter_text($xw, $row['name']);
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'TYPE');
	xmlwriter_text($xw, $misctype[$row['type']]);
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'AMOUNT_IS_WEIGHT');
	($row['amount_is_weight']) ? xmlwriter_text($xw, 'TRUE') : xmlwriter_text($xw, 'FALSE');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'USE');
	xmlwriter_text($xw, $miscuse[$row['use_use']]);
	xmlwriter_end_element($xw);

	if (floatval($row['time']) > 0) {
		xmlwriter_start_element($xw, 'TIME');
		xmlwriter_text($xw, sprintf("%.3f",floatval($row['time'])));
		xmlwriter_end_element($xw);
	}

	if (floatval($row['cost']) > 0) {
		xmlwriter_start_element($xw, 'COST');
		xmlwriter_text($xw, sprintf("%.5f",floatval($row['cost'])));
		xmlwriter_end_element($xw);
	}

	xmlwriter_start_element($xw, 'ALWAYS_ON_STOCK');
	($row['always_on_stock']) ? xmlwriter_text($xw, 'TRUE') : xmlwriter_text($xw, 'FALSE');
	xmlwriter_end_element($xw);

	if (strlen($row['notes'])) {
		xmlwriter_start_element($xw, 'NOTES');
		xmlwriter_text($xw, $row['notes']);
		xmlwriter_end_element($xw);
	}

	if (strlen($row['use_for'])) {
		xmlwriter_start_element($xw, 'USE_FOR');
		xmlwriter_text($xw, $row['use_for']);
		xmlwriter_end_element($xw);
	}

	xmlwriter_end_element($xw);	// MISC
}
xmlwriter_end_element($xw);	// MISCS

$beerxml = xmlwriter_output_memory($xw);

Header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="miscs.xml"');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Pragma: no-cache');
header('Content-Length: '.strlen($beerxml));
exit($beerxml);
